#! /bin/bash
#
#set -x
source /etc/vdr.d/conf/vdr
source /etc/vdr.d/conf/gen2vdr.cfg

author="Helmut Auer"
DEF_MP="/mnt/cdrom"

action=$1           # is disc inserted or ejected ?
appendable=$2       # if the disc is appendable (true or false)
blank=$3            # if the disc is blank (true or false)
data=$4             # if the disc has data on it (true or false)
audio=$5            # if the disc has audio on it (true or false)
dtype=$6            # what type the disc is (cd_rom, cd_r, cd_rw, dvd_rom)
device=$7           # which drive the disc is inserted into (/dev/hdc or /dev/hdd)
mounted=$8          # if the disc is mounted (true or false)
label=$9            # what the disc label is
mount_point=${10}   # where the disc is mounted (/media/cdrecorder or /media/cdrom)

logger -s "Autoplay: <$*>"
# Oct 16 20:07:58 [logger] Autoplay: <-insert false false true false dvd_rom /dev/hdc true DVDVolume /mnt/cdrom>
auto=""
svcmd=""

mp_file=$(echo "$mount_point"| tr "/" "_")
if [ "$dtype" = "dvd_rom" ] ; then 
   rm -f /etc/vdr/plugins/mplayer/src/DV*
fi

if [ "$action" = "-insert" ] ; then
   if [ "$mount_point" != "" ] ; then
      [ -e /media/DISC ] && rm /media/DISC
      ln -s $mount_point /media/DISC
      [ ! -e $VIDEO/_MEDIA_ ] && ln -s /media $VIDEO/_MEDIA_
   fi  
   sh /_config/bin/disc_speed.sh -c $device
   DVD_TITLES="$(lsdvd /dev/cdrom 2> /dev/null |grep "^Title" | grep -v "Length: 00:00" | cut -f 2,4 -d " " | cut -f 1,2 -d ":" |sed -e "s/, /-/")"
   if [ "$DVD_TITLES" != "" ] ; then 
      rm -f /etc/vdr/plugins/mplayer/src/DV*
      logger -s "DVDT: <$DVD_TITLES>"
      for i in $DVD_TITLES ; do
   #      logger -s "lsdvd: <$action>"
         touch "/etc/vdr/plugins/mplayer/src/DVD-${i}"
      done
   fi
   em84play=0
   if [ "$DISC_AUTORUN" = "1" ] ; then
      if [ "$(pidof vdr)" != "" ] && [ ! -f /tmp/.vdrdisabled ] ; then
         if [ "$audio" = "true" ] ; then
            auto="Audio"
            svcmd="PLUG cdda MAIN"
         elif [ "$data" = "true" ] ; then
	    if [ "$(mount | grep "$DEF_MP")" = "" ] ; then
	       mount $DEF_MP
	    fi
	    if [ "$mount_point" = "" ] ; then
	       mount_point=$DEF_MP
	    fi
            # Check for DVD
            if [ -d $mount_point/VIDEO_TS ] || [ -d $mount_point/video_ts ] ; then
               auto="DVD"
               svcmd="PLUG dvd MAIN"
	       em84play=1
            # Check for VDR recording
            elif [ "$(find $mount_point -type d -name *.rec)" != "" ] ; then
	       /_config/bin/linkvid.sh $mount_point _MEDIA_/DISC
               touch /video/.update
               recnum=$(svdrpsend.pl LSTR |grep -m1 "  MEDIA ~DISC~" |cut -b 5- |cut -f 1 -d " ")
               if [ "$recnum" != "" ] ; then
                  svcmd="PLAY $recnum"
                  auto="VDR"
               fi   
            # Check for MP3
            elif [ "$(find $mount_point -type f -name *.mp3)" != "" ] ; then
               if [ "$(echo " $PLUGINS " | grep " mp3ng ")" != "" ] ; then
                  svcmd="PLUG mp3ng MAIN"
               else
                  svcmd="PLUG mp3 MAIN"
               fi   
               auto="MP3"
            # Check for Images
            elif [ "$(find $mount_point -type f -name *.jp*)" != "" ] ; then
               svcmd="PLUG image MAIN"
               auto="Image"
            fi   
         fi
         if [ "$svcmd" != "" ] ; then
            if [ "$(echo " $PLUGINS " | grep " em84xx ")" != "" ] ; then
               if [ em84play = 0 ] ; then 	    
                  sh /_config/bin/switch_console.sh -x
		  svcmd=""
               else
	          svcmd="PLUG em84xx MAIN"
	       fi		  
	    fi   
            if [ "$svcmd" != "" ] ; then
               logger -s "$svcmd"
               svdrpsend.pl HITK back
               svdrpsend.pl HITK back
               svdrpsend.pl HITK back
               svdrpsend.pl $svcmd
            fi   
         fi
         if [ "$auto" != "" ] ; then
            touch /tmp/.$mp_file
         fi
      fi   
   fi
   sh /_config/bin/disc_speed.sh -c $device
fi
touch $VIDEO/.update
exit 0

