#!/bin/sh
#set -x
logger -s "$0 $*"
source /etc/vdr.d/conf/gen2vdr.cfg
TARGET_DIR=/film
TMP=/tmp/v2m.log

SYNC=$(replex -y 2 "$1/001.vdr" 2>/dev/null |grep "^Video unit: P" |head -n 1|sed -e "s/ DTS.*//" -e "s/.*diff://" -e "s/[:.]//g" -e "s/ 0*//g")

# Make Targetformat
if [ "$SYNC" != "" ] ; then
   parms="-e $SYNC"
else
   parms=""
fi   
   
replex -s "${1}/001.vdr" > $TMP 2>/dev/null

for i in $(grep "MPEG AUDIO" $TMP | cut -f4 -d" ") ; do
   parms="$parms -a $i"
done
for i in $(grep "AC3 AUDIO" $TMP | cut -f4 -d" ") ; do
   parms="$parms -c $i"
done

parms="$parms -v $(grep "MPEG VIDEO" $TMP | cut -f4 -d" ")"

title="$(grep "^T " ${1}/info.vdr | cut -f 2- -d " ")"
stitle="$(grep "^S " ${1}/info.vdr | cut -f 2- -d " ")"
if [ "$stitle" != "" ] ; then
   fname="${title}_-_$stitle"
elif [ "$title" != "" ] ; then
   fname="$title"
else
   fname="$(echo $1 | sed -e "s%$VIDEO/%%" -e "s%/20[0-9][0-9]\-[0-9][0-9]\-[0-9][0-9]\.[0-9][0-9]\.[0-9][0-9]\..*%%" -e  | tr "/" "-")"
fi
fn=${fname// /_}
infls=$(ls ${1}/[0-9][0-9][0-9].vdr)
cmd="replex -j -t MPEG2 $parms -o $TARGET_DIR/$fn.mpeg $infls"
logger -s "Starting <$cmd>"
nice -n 19 $cmd 2>&1 | tee $TARGET_DIR/$fn.log
svdrpsend.pl MESG "Umwandlung beendet"