#!/bin/sh
source /etc/vdr.d/conf/gen2vdr.cfg
source /etc/vdr.d/conf/vdr

[ -f $STOPVDR_FILE ] && rm $STOPVDR_FILE
[ -f $VDR_START_FILE ] && rm $VDR_START_FILE

if [ "$DVB_CARD_NUM" = "" ] ; then
   sh /_config/bin/detect_dvb.sh
   source /etc/vdr.d/conf/vdr
elif [ $DVB_CARD_NUM -gt 0 ] ; then
   screen -dm sh -c "/_config/bin/dvbmod load"   
fi

[ -e /_config/bin/setscart.sh ] && sh /_config/bin/setscart.sh DVB &
[ -e /_config/bin/rvdrinit.sh ] && sh /_config/bin/rvdrinit.sh

if [ -f $ADMIN_EXEC_SCRIPT ] ; then
   sh $ADMIN_EXEC_SCRIPT
   rm -rf $ADMIN_EXEC_SCRIPT > /dev/null 2>&1 &
   source /etc/vdr.d/conf/vdr
fi

if [ "$(grep "^[ ]*GDB_DEB" ${VDR_SOURCE_DIR}/Make.config)" != "" ] ; then
   #activate coredumping if debug is enabled
   mkdir /tmp/corefiles 
   chmod 777 /tmp/corefiles 
   echo "/tmp/corefiles/core" > /proc/sys/kernel/core_pattern 
   ulimit -c unlimited
fi

#Build commands.conf
if [ -d /etc/vdr/commands ] ; then
   for i in  /etc/vdr/commands/[0-9]* ; do 
      if [ "$CMDSUBMENU" = "1" ] ; then
         echo "${i/*_/}   : echo \"$i\"" 
         cat $i | sed -e "s/^\([^$]\)/- \1/"    
      else
         cat $i
      fi	 
   done > /etc/vdr/commands.conf
fi

#Build reccmds.conf
if [ -d /etc/vdr/reccmds ] ; then
   for i in  /etc/vdr/reccmds/* ; do 
      cat $i
   done > /etc/vdr/reccmds.conf
fi

if [ $DVB_CARD_NUM -gt 0 ] ; then
   for i in $(seq 1 20) ; do
     if [ $(ls -l /dev/dvb | grep adapter | wc -l 2>/dev/null) -ge $DVB_CARD_NUM ] ; then
        break
     fi         
     echo "Waiting for $DVB_CARD_NUM DVB devices ..."
     sleep 1
   done
fi    
